# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    
    # Renaming package
    if "template" in control.package:
        complete_control_package(control)
        complete_control_name(control)

        if "template" in control.package:
            error("Please rename the package.")

        last_version_digit = str(int(control.get_software_version().split(".")[-1]) + 1)
        version = ".".join(control.get_software_version().split(".")[:-1] + [last_version_digit])

        ask_message(
            control.package,
            "Please note that you will still need to edit this package to apply your own configuration that is compliant with your company's internal policies. You are sole responsible for the use of this package on your network.",
            48,
        )
    else:
        last_version_digit = str(int(control.get_software_version().split(".")[-1]) + 1)
        version = ".".join(control.get_software_version().split(".")[:-1] + [last_version_digit])

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        package_updated = True
    else:
        print("Software version up-to-date (%s)" % Version(version))

    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating or not update-package-sources
    return package_updated
